From 8cf53ec4ff52a240efd99fb4b56f99a6111f4168 Mon Sep 17 00:00:00 2001
From: Masahiko Sawada <sawada.mshk@gmail.com>
Date: Wed, 26 Jul 2023 10:44:51 +0900
Subject: [PATCH v1] Remove unused fields in ReorderBufferTupleBuf.

The fields node and alloc_tuple_size are no longer used. It's an
oversight in commit a4ccc1cef.

Not backpatched because of ABI compatibility.

Reviewed-by:
Discussion: https://postgr.es/m/
---
 src/include/replication/reorderbuffer.h | 6 ------
 1 file changed, 6 deletions(-)

diff --git a/src/include/replication/reorderbuffer.h b/src/include/replication/reorderbuffer.h
index 1b9db22acb..baa3442a35 100644
--- a/src/include/replication/reorderbuffer.h
+++ b/src/include/replication/reorderbuffer.h
@@ -31,15 +31,9 @@ typedef enum
 /* an individual tuple, stored in one chunk of memory */
 typedef struct ReorderBufferTupleBuf
 {
-	/* position in preallocated list */
-	slist_node	node;
-
 	/* tuple header, the interesting bit for users of logical decoding */
 	HeapTupleData tuple;
 
-	/* pre-allocated size of tuple buffer, different from tuple size */
-	Size		alloc_tuple_size;
-
 	/* actual tuple data follows */
 } ReorderBufferTupleBuf;
 
-- 
2.31.1

